it.reply.healty.innovapuglia.mstaccuino.service.data

## Class ContattiStrDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.ContattiStrDataService

- All Implemented Interfaces:
    IDataService<NotaTaccuino,ContattoStrutturaSanitariaRequestDTO,ContattoStrutturaSanitaria,ContattoStrutturaSSNNonTrovatoException>

      @Component
      public class ContattiStrDataService
      extends Object
      implements IDataService<NotaTaccuino,ContattoStrutturaSanitariaRequestDTO,ContattoStrutturaSanitaria,ContattoStrutturaSSNNonTrovatoException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContattiStrDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContattoStrutturaSanitaria` | `addNtt(NotaTaccuino nota, ContattoStrutturaSanitariaRequestDTO contattoStrRequest)` Aggiunge al database una nuova istanza di tipo Contatto Struttura Sanitaria
    `void` | `deprecaNtt(ContattoStrutturaSanitaria contattoStr)` Cancella logicamente l'istanza di tipo Contatto Struttura Sanitaria inserita in input
    `List<ContattoStrutturaSanitaria>` | `findAllNttById(String idNota)` Recupera l'elenco di ContattoStrutturaSanitaria associati ad un id nota
    `ContattoStrutturaSanitaria` | `getNttById(String idStruttura)` Restituisce il contatto struttura SSN in stato attivo in base all'ID in input
    `ContattoStrutturaSanitaria` | `updateNtt(ContattoStrutturaSanitaria contattoStr, ContattoStrutturaSanitariaRequestDTO newContattoStrDto)` Crea e salva un'istanza di tipo Contatto Struttura Sanitaria aggiornata con i dati in input, e depreca la vecchia istanza

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContattiStrDataService

          public ContattiStrDataService()

  - ### Method Detail

    - #### addNtt

          public ContattoStrutturaSanitaria addNtt(NotaTaccuino nota,
                                                   ContattoStrutturaSanitariaRequestDTO contattoStrRequest)
                                            throws FaultException

      Aggiunge al database una nuova istanza di tipo Contatto Struttura Sanitaria
      Specified by:
        `addNtt` in interface `IDataService<NotaTaccuino,ContattoStrutturaSanitariaRequestDTO,ContattoStrutturaSanitaria,ContattoStrutturaSSNNonTrovatoException>`
      Parameters:
        `nota` - Istanza della nota a cui e' associato l'oggetto
        `contattoStrRequest` - Oggetto contenente i dati di input del contatto
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### deprecaNtt

          public void deprecaNtt(ContattoStrutturaSanitaria contattoStr)
                          throws FaultException

      Cancella logicamente l'istanza di tipo Contatto Struttura Sanitaria inserita in input
      Specified by:
        `deprecaNtt` in interface `IDataService<NotaTaccuino,ContattoStrutturaSanitariaRequestDTO,ContattoStrutturaSanitaria,ContattoStrutturaSSNNonTrovatoException>`
      Parameters:
        `contattoStr` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### updateNtt

          public ContattoStrutturaSanitaria updateNtt(ContattoStrutturaSanitaria contattoStr,
                                                      ContattoStrutturaSanitariaRequestDTO newContattoStrDto)
                                               throws FaultException

      Crea e salva un'istanza di tipo Contatto Struttura Sanitaria aggiornata con i dati in input, e depreca la vecchia istanza
      Specified by:
        `updateNtt` in interface `IDataService<NotaTaccuino,ContattoStrutturaSanitariaRequestDTO,ContattoStrutturaSanitaria,ContattoStrutturaSSNNonTrovatoException>`
      Parameters:
        `contattoStr` - Vecchia istanza dell'oggetto da modificare
        `newContattoStrDto` - Nuovo oggetto in input, contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### getNttById

          public ContattoStrutturaSanitaria getNttById(String idStruttura)
                                                throws FaultException,
                                                       ContattoStrutturaSSNNonTrovatoException

      Restituisce il contatto struttura SSN in stato attivo in base all'ID in input
      Specified by:
        `getNttById` in interface `IDataService<NotaTaccuino,ContattoStrutturaSanitariaRequestDTO,ContattoStrutturaSanitaria,ContattoStrutturaSSNNonTrovatoException>`
      Parameters:
        `idStruttura` - l'ID del contatto struttura SSN da cercare
      Returns:
        Il contatto struttura SSN attivo trovato
      Throws:
        `FaultException` - Quando c'è qualche problema durante l'interrogazione del database
        `ContattoStrutturaSSNNonTrovatoException` - Quando non viene trovato nessun contatto struttura SSN attivo con quell'ID

    - #### findAllNttById

          public List<ContattoStrutturaSanitaria> findAllNttById(String idNota)
                                                          throws FaultException

      Recupera l'elenco di ContattoStrutturaSanitaria associati ad un id nota
      Specified by:
        `findAllNttById` in interface `IDataService<NotaTaccuino,ContattoStrutturaSanitariaRequestDTO,ContattoStrutturaSanitaria,ContattoStrutturaSSNNonTrovatoException>`
      Parameters:
        `idNota` - l'ID della nota
      Returns:
        l'elenco di ContattoStrutturaSanitaria, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

Copyright © 2024. All rights reserved.